org.apache.ignite.internal.processors.odbc

## Class ClientConnectorConfigurationEx

- java.lang.Object
- - org.apache.ignite.configuration.ClientConnectorConfiguration
  - - org.apache.ignite.internal.processors.odbc.ClientConnectorConfigurationEx

    public class ClientConnectorConfigurationEx
    extends ClientConnectorConfiguration

Extended client connector configuration. Needed to distinguish between default and non-default configurations.

### Field Summary

### Fields inherited from class org.apache.ignite.configuration.ClientConnectorConfiguration

`DFLT_IDLE_TIMEOUT, DFLT_MAX_OPEN_CURSORS_PER_CONN, DFLT_PORT, DFLT_PORT_RANGE, DFLT_SOCK_BUF_SIZE, DFLT_TCP_NO_DELAY, DFLT_THREAD_POOL_SIZE, DFLT_USE_IGNITE_SSL_CTX_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`ClientConnectorConfigurationEx()`

### Method Summary

### Methods inherited from class org.apache.ignite.configuration.ClientConnectorConfiguration

`getHost, getIdleTimeout, getMaxOpenCursorsPerConnection, getPort, getPortRange, getSocketReceiveBufferSize, getSocketSendBufferSize, getSslContextFactory, getThreadPoolSize, isJdbcEnabled, isOdbcEnabled, isSslClientAuth, isSslEnabled, isTcpNoDelay, isThinClientEnabled, isUseIgniteSslContextFactory, setHost, setIdleTimeout, setJdbcEnabled, setMaxOpenCursorsPerConnection, setOdbcEnabled, setPort, setPortRange, setSocketReceiveBufferSize, setSocketSendBufferSize, setSslClientAuth, setSslContextFactory, setSslEnabled, setTcpNoDelay, setThinClientEnabled, setThreadPoolSize, setUseIgniteSslContextFactory, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientConnectorConfigurationEx

    public ClientConnectorConfigurationEx()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018